package com.ruoyi.platform.domain;

import com.fasterxml.jackson.databind.PropertyNamingStrategy;
import com.fasterxml.jackson.databind.annotation.JsonNaming;

import java.util.Date;
import java.io.Serializable;

/**
 * (DevEnvironment)实体类
 *
 * @author Xidaray
 * @since 2024-06-03 15:17:37
 */
@JsonNaming(PropertyNamingStrategy.SnakeCaseStrategy.class)
public class DevEnvironment implements Serializable {
    private static final long serialVersionUID = 936999018935545992L;
/**
     * 主键
     */
    private Integer id;
/**
     * 编辑器名称
     */
    private String name;
/**
     * 状态
     */
    private String status;
/**
     * 计算资源
     */
    private String computingResource;
/**
     * 资源规格
     */
    private String standard;
/**
     * 环境变量
     */
    private String envVariable;
/**
     * 所用镜像
     */
    private String image;
/**
     * 对应数据集
     */
    private String dataset;
/**
     * 对应模型
     */
    private String model;
/**
     * 备用字段1
     */
    private String url;
/**
     * 备用字段2
     */
    private String altField2;
/**
     * 创建者
     */
    private String createBy;
/**
     * 创建时间
     */
    private Date createTime;
/**
     * 更新者
     */
    private String updateBy;
/**
     * 更新时间
     */
    private Date updateTime;
/**
     * 状态，0失效1生效
     */
    private Integer state;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getComputingResource() {
        return computingResource;
    }

    public void setComputingResource(String computingResource) {
        this.computingResource = computingResource;
    }

    public String getStandard() {
        return standard;
    }

    public void setStandard(String standard) {
        this.standard = standard;
    }

    public String getEnvVariable() {
        return envVariable;
    }

    public void setEnvVariable(String envVariable) {
        this.envVariable = envVariable;
    }

    public String getImage() {
        return image;
    }

    public void setImage(String image) {
        this.image = image;
    }

    public String getDataset() {
        return dataset;
    }

    public void setDataset(String dataset) {
        this.dataset = dataset;
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getAltField2() {
        return altField2;
    }

    public void setAltField2(String altField2) {
        this.altField2 = altField2;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

}

